package dto

// LoginDto represents the login request
type LoginDto struct {
	Email    string `json:"email"`
	Password string `json:"password"`
}

// TokenDto represents the response after successful authentication
type TokenDto struct {
	Token string  `json:"token"`
	User  UserDto `json:"user"`
}
