export type ValueId<T = string> = string & { __valueId: T };

export type CustomerId = ValueId<"CustomerId">;
export type ProjectId = ValueId<"ProjectId">;
export type TimeEntryId = ValueId<"TimeEntryId">;
export type CompanyId = ValueId<"CompanyId">;
export type UserId = ValueId<"UserId">;
export type RoleId = ValueId<"RoleId">;
export type PermissionId = ValueId<"PermissionId">;
export type ActivityId = ValueId<"ActivityId">;
