package dto

import (
	"time"
)

type ActivityDto struct {
	ID           string    `json:"id"`
	CreatedAt    time.Time `json:"createdAt"`
	UpdatedAt    time.Time `json:"updatedAt"`
	LastEditorID string    `json:"lastEditorID"`
	Name         string    `json:"name"`
	BillingRate  float64   `json:"billingRate"`
}

type ActivityCreateDto struct {
	Name        string  `json:"name"`
	BillingRate float64 `json:"billingRate"`
}

type ActivityUpdateDto struct {
	ID           string     `json:"id"`
	CreatedAt    *time.Time `json:"createdAt"`
	UpdatedAt    *time.Time `json:"updatedAt"`
	LastEditorID *string    `json:"lastEditorID"`
	Name         *string    `json:"name"`
	BillingRate  *float64   `json:"billingRate"`
}
