package dto

import (
	"time"
)

type CompanyDto struct {
	ID           string    `json:"id"`
	CreatedAt    time.Time `json:"createdAt"`
	UpdatedAt    time.Time `json:"updatedAt"`
	LastEditorID string    `json:"lastEditorID"`
	Name         string    `json:"name"`
}

type CompanyCreateDto struct {
	Name string `json:"name"`
}

type CompanyUpdateDto struct {
	ID           string     `json:"id"`
	CreatedAt    *time.Time `json:"createdAt"`
	UpdatedAt    *time.Time `json:"updatedAt"`
	LastEditorID *string    `json:"lastEditorID"`
	Name         *string    `json:"name"`
}
