package dto

import (
	"time"
)

type CustomerDto struct {
	ID           string    `json:"id"`
	CreatedAt    time.Time `json:"createdAt"`
	UpdatedAt    time.Time `json:"updatedAt"`
	LastEditorID string    `json:"lastEditorID"`
	Name         string    `json:"name"`
	CompanyID    int       `json:"companyId"`
}

type CustomerCreateDto struct {
	Name      string `json:"name"`
	CompanyID int    `json:"companyId"`
}

type CustomerUpdateDto struct {
	ID           string     `json:"id"`
	CreatedAt    *time.Time `json:"createdAt"`
	UpdatedAt    *time.Time `json:"updatedAt"`
	LastEditorID *string    `json:"lastEditorID"`
	Name         *string    `json:"name"`
	CompanyID    *int       `json:"companyId"`
}
