package dto

import (
	"time"
)

type ProjectDto struct {
	ID           string    `json:"id"`
	CreatedAt    time.Time `json:"createdAt"`
	UpdatedAt    time.Time `json:"updatedAt"`
	LastEditorID string    `json:"lastEditorID"`
	Name         string    `json:"name"`
	CustomerID   int       `json:"customerId"`
}

type ProjectCreateDto struct {
	Name       string `json:"name"`
	CustomerID int    `json:"customerId"`
}

type ProjectUpdateDto struct {
	ID           string     `json:"id"`
	CreatedAt    *time.Time `json:"createdAt"`
	UpdatedAt    *time.Time `json:"updatedAt"`
	LastEditorID *string    `json:"lastEditorID"`
	Name         *string    `json:"name"`
	CustomerID   *int       `json:"customerId"`
}
