package models

import "errors"

var ErrUserAlreadyExists = errors.New("user already exists")
var ErrUserNotFound = errors.New("user not found")
var ErrActivityNotFound = errors.New("activity not found")
var ErrActivityAlreadyExists = errors.New("activity already exists")
var ErrInvalidPassword = errors.New("invalid password")
var ErrInvalidEmail = errors.New("invalid email")
var ErrInvalidUsername = errors.New("invalid username")
var ErrInvalidRole = errors.New("invalid role")
var ErrInvalidCompanyID = errors.New("invalid company id")
var ErrInvalidHourlyRate = errors.New("invalid hourly rate")
var ErrInvalidID = errors.New("invalid id")
var ErrTimeEntryNotFound = errors.New("time entry not found")
var ErrTimeEntryAlreadyExists = errors.New("time entry already exists")
var ErrInvalidDuration = errors.New("invalid duration")
var ErrInvalidDescription = errors.New("invalid description")
var ErrInvalidStartTime = errors.New("invalid start time")
var ErrInvalidEndTime = errors.New("invalid end time")
var ErrInvalidBillable = errors.New("invalid billable")
var ErrInvalidProjectID = errors.New("invalid project id")
var ErrProjectNotFound = errors.New("project not found")
var ErrProjectAlreadyExists = errors.New("project already exists")
var ErrInvalidName = errors.New("invalid name")
var ErrInvalidClientID = errors.New("invalid client id")
var ErrClientNotFound = errors.New("client not found")
var ErrClientAlreadyExists = errors.New("client already exists")
var ErrInvalidAddress = errors.New("invalid address")
var ErrInvalidPhone = errors.New("invalid phone")
